Skip to main content
`Ctrl`+`K`

# NEPInterpolGetPEP

Retrieve the polynomial eigensolver object (`PEP`) associated with the nonlinear eigenvalue solver.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPInterpolGetPEP(NEP nep,PEP *pep)

Collective

## Input Parameter

- nep - the nonlinear eigensolver context

## Output Parameter

- pep - the polynomial eigensolver context

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPINTERPOL`, `NEPInterpolSetPEP()`

## Level

advanced

## Location

src/nep/impls/interpol/interpol.c

## Implementations

NEPInterpolGetPEP_Interpol() in src/nep/impls/interpol/interpol.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages